package com.example.list.Linkedlist;

import java.util.Iterator;
import java.util.LinkedList;

public class LinkedListSample {

	public static void main(String args[]) {
		// Declare Linked list

		LinkedList l = new LinkedList();
		LinkedList<Integer> l1 = new LinkedList<Integer>();
		LinkedList<String> l2 = new LinkedList<String>();

		// Add element into linked list

		l.add(100);
		l.add("Welcome");
		l.add(15.5);
		l.add('A');
		l.add(true);
		l.add(null);

		System.out.println(l);
		System.out.println(l.size());// 6

		// remove

		// l.remove(3);//index

		System.out.println("After removing, new list:" + l);// [100, Welcome, 15.5, true, null]

		// Inserting/adding element in the middle of the linked list

		l.add(3, "Java");
		System.out.println("After inserting elements:" + l);// [100, Welcome, 15.5, Java, A, true, null]
 
		
		//retriving value /object
		System.out.println(l.get(3));
		
		
		//change the value
		
		l.set(5, "X");
		System.out.println("After cahnging the value:"+l);//[100, Welcome, 15.5, Java, A, X, null]
		
		//contains()
		System.out.println(l.contains("Java"));
        System.out.println(l.contains("Python"));
        
        //isEmpty()
        System.out.println(l.isEmpty());//false
        
         
        //Reading elements from LL using for loop
        
        for(int i = 0;i<l.size();i++)
        {
        	
		System.out.println(l.get(i));
	     }
        
        //Reading elements from  LL using for ..each loop
        for(Object e:l)
        {
        	System.out.println(e); 
        	
        }
        
        //iterator() method
        
        Iterator it =  l.iterator();
        while(it.hasNext())
        {
        	System.out.println(it.next());
        }
        
	}

}
